keras_model_sequential {keras} | R Documentation

## Keras Model composed of a linear stack of layers

### Description

Keras Model composed of a linear stack of layers

### Usage

    keras_model_sequential(layers = NULL, name = NULL)

### Arguments

`layers` | List of layers to add to the model
`name` | Name of model

### Note

The first layer passed to a Sequential model should have a defined input shape. What that means is that it should have received an `input_shape` or `batch_input_shape` argument, or for some type of layers (recurrent, Dense...) an `input_dim` argument.

### See Also

Other model functions: `compile.keras.engine.training.Model`, `evaluate.keras.engine.training.Model`, `evaluate_generator`, `fit.keras.engine.training.Model`, `fit_generator`, `get_config`, `get_layer`, `keras_model`, `multi_gpu_model`, `pop_layer`, `predict.keras.engine.training.Model`, `predict_generator`, `predict_on_batch`, `predict_proba`, `summary.keras.engine.training.Model`, `train_on_batch`

### Examples

    ## Not run:

    library(keras)

    model <- keras_model_sequential()
    model %>%
      layer_dense(units = 32, input_shape = c(784)) %>%
      layer_activation('relu') %>%
      layer_dense(units = 10) %>%
      layer_activation('softmax')

    model %>% compile(
      optimizer = 'rmsprop',
      loss = 'categorical_crossentropy',
      metrics = c('accuracy')
    )

    ## End(Not run)

[Package keras version 2.2.4 Index]